package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type QrloginUserinfoRequest struct {
	// 【获取扫码用户的令牌】获取扫码用户的令牌 【作用】 根据token获取对应扫码用户的身份信息
	Token string `json:"token,omitempty"`
}

func (obj QrloginUserinfoRequest) GetUrl() string {
	return "/qrlogin/userinfo"
}

func (obj QrloginUserinfoRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("token", obj.Token)
	return parameter
}
